
Katello - Bug #36554

Hide option to delete content from Redhat repos

06/29/2023 04:27 PM - Samir Jha

Status: Closed   

Priority: Normal   

Assignee: Samir Jha   

Category: Repositories   

Target version: Katello 4.11.0   

Difficulty: easy Fixed in Releases: Katello 4.10.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/106

65

  

Description

UI shows option to delete packages from Redhat repos and then the task fails later with the error: "Cannot remove content from a

non-custom repository". Hide option to delete packages from Redhat repo to avoid confusion.

Associated revisions

Revision ece3963f - 07/26/2023 05:29 PM - Samir Jha

Fixes #36554 - Don't allow deleting content from Redhat Repos on UI (#10665)

History

#1 - 07/05/2023 05:43 PM - Partha Aji

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 07/25/2023 03:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Samir Jha

- Pull request https://github.com/Katello/katello/pull/10665 added

#3 - 07/26/2023 05:29 PM - The Foreman Bot

- Fixed in Releases Katello 4.10.0 added

#4 - 07/26/2023 06:00 PM - Samir Jha

- Status changed from Ready For Testing to Closed

Applied in changeset katello|ece3963f73d689b9d82378b65d3c8d9824ccbdab.
